#ifndef _DEBUG_H
#define _DEBUG_H

#define PREFIX "[SCSIDUMP]"
#define KDEBUG 0

#define kdebug( fmt, args...) do {			\
	if (KDEBUG) {			\
		printk(PREFIX "%s(%d) " fmt, __FUNCTION__,\
						__LINE__, args);\
	}							\
} while (0)

#define kinfo(string) do {			\
	if (KDEBUG) {			\
		printk(PREFIX  string);\
	}							\
} while (0)


#endif
