#ifndef _SCSIDUMP_CTLR_H
#define _SCSIDUMP_CTLR_H

#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/spinlock.h>
#include <linux/mutex.h>


#include <scsi/scsi.h>
#include <scsi/scsi_host.h>
#include <scsi/scsi_device.h>
#include <linux/err.h>


struct scsi_cmd_filter;

typedef struct scsi_dmp_ctlr{
	struct list_head  scsi_hooker_list;
	struct scsi_cmd_filter * filter;
	rwlock_t lock;

}scsi_dmp_ctlr_t;

int init_scsi_dmp_ctlr(void);



#endif
