#ifndef 	_SCSIDUMP_IOCTL_H
#define _SCSIDUMP_IOCTL_H

enum {
	SCSIDUMP_IOCTL_TYPE_FILTER = 0,
	SCSIDUMP_IOCTL_TYPE_RINGBUFFER

};

typedef struct scsidump_ioctl{
	int type;
	unsigned int datasize;
	char data[0];

}scsidump_ioctl_t;

enum {
	//filter cmd
	SCSIDUMP_IOCTL_CMD_FILETER_CREATE = 0,
	SCSIDUMP_IOCTL_CMD_FILETER_ENABLE,
	SCSIDUMP_IOCTL_CMD_FILETER_DISABLE,
	SCSIDUMP_IOCTL_CMD_FILETER_MODIFY,
	SCSIDUMP_IOCTL_CMD_FILETER_GET

};

#define SCSIDUMP_IOCTL 0xbb

#define SCSIDUMP_FILTER_CREATE _IOWR(SCSIDUMP_IOCTL, SCSIDUMP_IOCTL_CMD_FILETER_CREATE, struct scsidump_ioctl)
#define SCSIDUMP_FILTER_ENABLE _IO(SCSIDUMP_IOCTL, SCSIDUMP_IOCTL_CMD_FILETER_ENABLE)
#define SCSIDUMP_FILTER_DISABLE _IO(SCSIDUMP_IOCTL, SCSIDUMP_IOCTL_CMD_FILETER_DISABLE)
#define SCSIDUMP_FILTER_MODIFY _IOWR(SCSIDUMP_IOCTL, SCSIDUMP_IOCTL_CMD_FILETER_MODIFY, struct scsidump_ioctl)
#define SCSIDUMP_FILTER_GET _IOWR(SCSIDUMP_IOCTL, SCSIDUMP_IOCTL_CMD_FILETER_GET, struct scsidump_ioctl)

int scsidump_interface_init(void);


void scsidump_interface_exit(void);

#endif

